Thursday, June 05, 2014

OpenSSL Detects More Security Vulnerabilities

OpenSSL made an announcement today that at least 7 security vulnerabilities were detected with the software. As most of you may recall, this is the same software that was known for the Heartbleed vulneraibility back in April. More details on the vulnerabilities found are reported by OpenSSL here. While some of these are more severe than others, the good news is that they seem to have come up with fixes for each of them. That being said, it’s doubtful that we have another ‘Heartbleed’ on our hands. Still, you’d be wise to educate yourself on the situation and ensure your IT people are on top of things!